ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 35581] New: - ANTLR class and 'extends' cannot span multiple lines
Date Fri, 01 Jul 2005 12:10:35 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=35581>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=35581

           Summary: ANTLR class and 'extends' cannot span multiple lines
           Product: Ant
           Version: 1.6.5
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Severity: major
          Priority: P2
         Component: Optional Tasks
        AssignedTo: dev@ant.apache.org
        ReportedBy: vaucher@fermat.fr


It seems the ant-antlr optional task does a little bit of parsing of the ANTLR
grammar file, probably to detemine dependencies. But it is a bit more strict on
the content than the actual ANTLR tool in that it requires that the class
declaration and its 'extends' declaration lie on the same line. Otherwise, the
dreaded 'Unable to determine generated class' is thrown.

For instance a file containing :

class MyLexer extends Lexer;

will work. But one containing :

class MyLexer
  extendsLexer;

won't with ant. It still perfectly works with standalone ANTLR.

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message